/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package trener;

import facade.Menadzer;

/**
 *
 * @author student1
 */
public class Trener {
    
    private String ime;
    private String prezime;
    private Menadzer menadzer;

    public Trener(String ime, String prezime, Menadzer menadzer) {
        this.ime = ime;
        this.prezime = prezime;
        this.menadzer = menadzer;
    }

    public void organizujTrening() {
        rezervisiSlobodanTermin();
        organizujPrevoz();
        obavestiLjude();
        pripremiVezbeZaTrening();
    }

    private void rezervisiSlobodanTermin() {
        menadzer.rezervisiSlobodanTermin();
    }

    private void organizujPrevoz() {
        menadzer.organizujPrevoz();
    }

    private void obavestiLjude() {
        menadzer.obavestiLjude();
        System.out.println("Trener " + ime + " " + prezime + " obavestava zenu da nece biti dostupan.");
    }

    private void pripremiVezbeZaTrening() {
        System.out.println("Trener " + ime + " " + prezime + " priprema vezbe za trening.");
    }
    
}
