/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package facade;

import sluzbe.PomocniTrener;
import sluzbe.SluzbaZaInformacije;
import sluzbe.SluzbaZaPrevoz;
import sluzbe.SluzbaZaRezervisanjeTermina;

/**
 *
 * @author student1
 */
public class Menadzer {
    
    private PomocniTrener pomocniTrener;
    private SluzbaZaInformacije sluzbaZaInformacije;
    private SluzbaZaRezervisanjeTermina sluzbaZaRezervisanjeTermina;
    private SluzbaZaPrevoz sluzbaZaPrevoz;

    public Menadzer(PomocniTrener pomocniTrener, SluzbaZaInformacije sluzbaZaInformacije, SluzbaZaRezervisanjeTermina sluzbaZaRezervisanjeTermina, SluzbaZaPrevoz sluzbaZaPrevoz) {
        this.pomocniTrener = pomocniTrener;
        this.sluzbaZaInformacije = sluzbaZaInformacije;
        this.sluzbaZaRezervisanjeTermina = sluzbaZaRezervisanjeTermina;
        this.sluzbaZaPrevoz = sluzbaZaPrevoz;
    }
    
    public void rezervisiSlobodanTermin() {
        String slobodanTermin = sluzbaZaInformacije.vratiSlobodanTermin();
        sluzbaZaRezervisanjeTermina.rezervisiTermin(slobodanTermin);
    }

    public void organizujPrevoz() {
        sluzbaZaPrevoz.rezervisiPrevoz();
    }

    public void obavestiLjude() {
        pomocniTrener.obavestiKosarkaseOTreningu();
    }
    
}
