/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package trener;

import sluzbe.PomocniTrener;
import sluzbe.SluzbaZaInformacije;
import sluzbe.SluzbaZaPrevoz;
import sluzbe.SluzbaZaRezervisanjeTermina;

/**
 *
 * @author student1
 */
public class Trener {
    
    private String ime;
    private String prezime;
    private PomocniTrener pomocniTrener;
    private SluzbaZaInformacije sluzbaZaInformacije;
    private SluzbaZaRezervisanjeTermina sluzbaZaRezervisanjeTermina;
    private SluzbaZaPrevoz sluzbaZaPrevoz;

    public Trener(String ime, String prezime, PomocniTrener pomocniTrener, SluzbaZaInformacije sluzbaZaInformacije, SluzbaZaRezervisanjeTermina sluzbaZaRezervisanjeTermina, SluzbaZaPrevoz sluzbaZaPrevoz) {
        this.ime = ime;
        this.prezime = prezime;
        this.pomocniTrener = pomocniTrener;
        this.sluzbaZaInformacije = sluzbaZaInformacije;
        this.sluzbaZaRezervisanjeTermina = sluzbaZaRezervisanjeTermina;
        this.sluzbaZaPrevoz = sluzbaZaPrevoz;
    }
    
    public void organizujTrening() {
        rezervisiSlobodanTermin();
        organizujPrevoz();
        obavestiLjude();
        pripremiVezbeZaTrening();
    }

    private void rezervisiSlobodanTermin() {
        String slobodanTermin = sluzbaZaInformacije.vratiSlobodanTermin();
        sluzbaZaRezervisanjeTermina.rezervisiTermin(slobodanTermin);
    }

    private void organizujPrevoz() {
        sluzbaZaPrevoz.rezervisiPrevoz();
    }

    private void obavestiLjude() {
        pomocniTrener.obavestiKosarkaseOTreningu();
        System.out.println("Trener " + ime + " " + prezime + " obavestava zenu da nece biti dostupan.");
    }

    private void pripremiVezbeZaTrening() {
        System.out.println("Trener " + ime + " " + prezime + " priprema vezbe za trening.");
    }
    
}
