/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package client;

import flyweight.Heroj;
import java.util.Random;
import flyweightFactory.KreatorHeroja;

/**
 *
 * @author Luka
 */
public class Igrac {

    private KreatorHeroja kreatorHeroja;
    private String[] tipoviHeroja = { "Carobnjak", "Ratnik", "Strelac" };
    private Random generatorBroja = new Random();

    public Igrac(KreatorHeroja kreatorHeroja) {
        this.kreatorHeroja = kreatorHeroja;
    }

    public void ratujSaArmijomHeroja(int brojHeroja) {
        for (int i = 0; i < brojHeroja; i++) {
            String tipHeroja = vratiNasumicniTipHeroja();
            int snaga = vratiNasumicnuSnagu();
            Heroj heroj = kreatorHeroja.kreirajHeroja(tipHeroja, snaga);
            heroj.napadni();
        }
    }

    private String vratiNasumicniTipHeroja() {
        int nasumicanBrojOd0Do2 = generatorBroja.nextInt(3);
        return tipoviHeroja[nasumicanBrojOd0Do2];
    }

    private int vratiNasumicnuSnagu() {
        int nasumicanBrojOd0Do100 = generatorBroja.nextInt(101);
        return nasumicanBrojOd0Do100;
    }

}
